Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1496936 - retiring parent service doesn't retire child service
Summary: retiring parent service doesn't retire child service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.3
Assignee: abellott
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest:services:retirement
Depends On: 1441412
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-28 19:12 UTC by Satoe Imaishi
Modified: 2018-02-28 13:05 UTC (History)
7 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1441412
Environment:
Last Closed: 2018-02-28 13:05:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 0 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-10 17:41:33 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9c7e28f5ec05085499e0ffd31f58dd4b03039c5b

commit 9c7e28f5ec05085499e0ffd31f58dd4b03039c5b
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Sep 26 10:34:54 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Nov 10 12:32:36 2017 -0500

    Merge pull request #15991 from gmcculloug/service_add_to_service
    
    Service add to service
    (cherry picked from commit 69a1001b605e15efe4057c8560b948a4acba2de2)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1496936

 app/models/mixins/service_mixin.rb | 73 ++++++++++++++++++++------------------
 app/models/service.rb              | 29 +++++++++++----
 app/models/service_template.rb     |  5 +++
 app/models/vm.rb                   |  4 +++
 spec/models/service_spec.rb        | 31 ++++++++++++++++
 spec/models/vm_spec.rb             | 20 +++++++----
 6 files changed, 115 insertions(+), 47 deletions(-)

Comment 3 CFME Bot 2017-11-10 17:41:38 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/67f9a591582fa7c111fa19d455050ce450833602

commit 67f9a591582fa7c111fa19d455050ce450833602
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Sep 27 10:09:33 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Nov 10 12:33:55 2017 -0500

    Merge pull request #16056 from gmcculloug/service_add_to_service_fix
    
    Fix for add_to_service refactoring
    (cherry picked from commit af5b95641299c1781ec22c244a7e60f0dd886aa8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1496936

 app/models/service.rb       | 11 ++++++-----
 spec/models/service_spec.rb |  2 +-
 2 files changed, 7 insertions(+), 6 deletions(-)

Comment 4 Martin Kourim 2018-01-26 08:30:05 UTC
Verified that retiring parent service also retires child service when the child service was added to parent service using add_resource.

Comment 7 errata-xmlrpc 2018-02-28 13:05:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.